<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingTop="15dp"
    android:paddingBottom="15dp"
    android:background="@drawable/reuse_listview_item_style"
    android:paddingLeft="16dp"
    android:paddingRight="16dp">

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="60dp"
        android:layout_marginRight="60dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/titleTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/text_primary"
                android:textSize="@dimen/primary_text_size"
                android:includeFontPadding="false"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="@string/setting_security" />

            <View
                android:id="@+id/redDot"
                android:layout_width="4dp"
                android:layout_height="4dp"
                android:layout_marginStart="4dp"
                android:layout_marginLeft="4dp"
                android:background="@drawable/oval_message_hint_bg"
                android:visibility="gone"
                app:layout_constraintStart_toEndOf="@+id/titleTv"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <TextView
            android:id="@+id/tipsTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:includeFontPadding="false"
            android:lineHeight="16dp"
            android:textColor="@color/text_tertiary"
            android:textSize="@dimen/secondary_size"
            android:visibility="gone"
            tools:text="@string/setting_personal_recommend_hint" />

    </LinearLayout>

    <TextView
        android:id="@+id/textMoreTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:drawablePadding="4dp"
        android:textColor="@color/text_tertiary"
        android:textSize="@dimen/primary_text_size"
        android:visibility="gone"
        app:drawableEndCompat="@drawable/icon_more"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.airbnb.lottie.LottieAnimationView
        android:id="@+id/switchLottie"
        android:layout_width="40dp"
        android:layout_height="20dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:lottie_autoPlay="false"
        app:lottie_loop="false"
        app:lottie_repeatMode="restart" />

    <com.lightgame.view.CheckableImageView
        android:id="@+id/switchIv"
        android:layout_width="40dp"
        android:layout_height="20dp"
        android:src="@drawable/selector_ic_setting_switch"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/contentTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/setting_cache_size_def"
        android:textColor="@color/text_tertiary"
        android:textSize="@dimen/primary_text_size"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/selectedIv"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/ic_selector_selected" />

    <TextView
        android:id="@+id/newVersionTv"
        android:layout_width="wrap_content"
        android:layout_height="18dp"
        android:background="@drawable/bg_hint_red_radius_999"
        android:gravity="center"
        android:paddingStart="6dp"
        android:paddingEnd="6dp"
        android:text="新版本"
        android:textColor="@color/white"
        android:textSize="@dimen/tag_text_size"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>